v1.0
post
/ec-ors-svc/rest/v1.0/studies/{studyId}/{mode}/shipments/{shipmentId}/receive-quarantined
Updates a quarantine shipment and its kits. Rights: DepotQuarantinePost.
Request
Path Parameters
-
mode(required): string
Mode of the study, accepts: test, active, or training.
-
shipmentId(required): string(uuid)
ID of the shipment.
-
studyId(required): string(uuid)
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the study.
Supported Media Types
- application/json
Root Schema : schema
Type:
Show Source
object-
damagedKits: array
Damaged Kits
Title:
Damaged KitsUUIDs of kits to update as damaged. -
updateNSKits: array
Non-Serialized Kits
Title:
Non-Serialized KitsList of non-serialized kits to update.
Nested Schema : Damaged Kits
Type:
arrayTitle:
Damaged KitsUUIDs of kits to update as damaged.
Show Source
Nested Schema : Non-Serialized Kits
Type:
arrayTitle:
Non-Serialized KitsList of non-serialized kits to update.
Show Source
-
Array of:
object NSKitsRequest v1.0
Title:
NSKitsRequest v1.0Request containing non-serialized kits details.
Nested Schema : NSKitsRequest v1.0
Type:
objectTitle:
NSKitsRequest v1.0Request containing non-serialized kits details.
Show Source
-
inventoryStatusId: integer
(int32)
Unique ID corresponding to each inventory status value (1 for Available, 2 for Damaged, 3 for Destroyed, 4 for Dispensed, 5 for Expired, 6 for Not in Use, 7 for Misallocated, 8 for Missing, 9 for In Transit, 10 for Quarantined, 11 for Pre-quarantined, 12 for Pending Destruction, 13 for Lost by Subject, 14 for Temporarily Unavailable, 15 for Damaged by Subject, 16 for New, 17 for Not Dispensed to Subject, 18 for Returned to Site, 19 for Conserved, 20 for Received for Destruction).Example:
10 -
kitTypeId: string
(uuid)
Title:
Kit Type IDKit type identifier. -
lotId: string
(uuid)
Title:
Lot IDLot ID. -
quantity(required): number
(BigDecimal)
Title:
QuantityMinimum Value:1Kit quantity.
Response
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : QuarantinedToReceivedResponse v1.0
Type:
objectTitle:
QuarantinedToReceivedResponse v1.0Contains counts of kits updated from quarantine to received.
Show Source
-
availableCount: integer
(int64)
Title:
Available CountCount of kits marked as available in the shipment. -
damagedCount: integer
(int64)
Title:
Damaged CountCount of kits marked as damaged in the shipment. -
receivedDate: string
(date-time)
Title:
Received DateReceived date of the shipment.
400 Response
'Invalid Kit', 'Invalid shipment status'
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object404 Response
'Invalid study ID', 'Study still in design phase' or 'Invalid shipment ID'
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object